Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Mylyn » Unknown authentication type: CERTIFICATE after upgrading to Indigo(Error from repository query after upgrade to Indigo)
Unknown authentication type: CERTIFICATE after upgrading to Indigo [message #698354] Tue, 19 July 2011 10:17 Go to next message
Anthony Gerrard is currently offline Anthony Gerrard
Messages: 2
Registered: July 2011
Junior Member
I'm getting this error after upgrading Eclipse from Galileo to Indigo. Everything was working fine before the upgrade. Now my repository queries aren't updating and gives the following error when I click preview

Parsing error: Unknown authentication type: CERTIFICATE

I can open tasks that were loaded into the query before the upgrade.

I'm using a Web Template task repository to connect to a Redmine instance that serves pages on HTTPS.
Re: Unknown authentication type: CERTIFICATE after upgrading to Indigo [message #699011 is a reply to message #698354] Wed, 20 July 2011 16:20 Go to previous messageGo to next message
Manuel Doninger is currently offline Manuel Doninger
Messages: 119
Registered: October 2010
Senior Member
Obviously you have some plugins of Mylyn with Version 3.6.0 and some other plugins with Version 3.5.0 (this authentication type was introduced in 3.6, i ran into the same problem today). Check your Eclipse plugins (Help -> About Eclipse -> Installation Details -> Plugins) and try to update the old versions. Then it should work.
Re: Unknown authentication type: CERTIFICATE after upgrading to Indigo [message #699019 is a reply to message #699011] Wed, 20 July 2011 16:43 Go to previous message
Anthony Gerrard is currently offline Anthony Gerrard
Messages: 2
Registered: July 2011
Junior Member
Manuel,

Thanks! You're absolutely right. I was still using an older version of the web templates connector. I added the following update site

download.eclipse.org/mylyn/incubator/3.6

to my available software sites, checked for updates and installed the latest version.

Problem solved! Thanks for your help.
Previous Topic:Update on EMF Context Bridge
Next Topic:trouble connecting to trac repository
Goto Forum:
  


Current Time: Sun Sep 21 18:19:57 GMT 2014

Powered by FUDForum. Page generated in 0.02233 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software